# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'foxtrot/version'

Gem::Specification.new do |spec|
  spec.name          = "foxtrot-client"
  spec.version       = Foxtrot::VERSION
  spec.authors       = ["Yasyf Mohamedali"]
  spec.email         = ["yasyf@foxtrot.io"]
  spec.summary       = "Foxtrot Ruby Client Library"
  spec.homepage      = "https://github.com/FoxtrotSystems/api-client-ruby"
  spec.license       = 'MIT'
  spec.required_ruby_version = ">= 2.0"

  spec.description   =  File.read('README.md')

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
  spec.add_runtime_dependency 'rest_client', '~> 1.7', '>= 1.7.2'
  spec.add_runtime_dependency 'addressable', '~> 2.3', '>= 2.3.6'
end
